[Bf-blender-cvs] [3091935] master: Docs: early exist build process on error

Campbell Barton noreply at git.blender.org
Sat Feb 27 18:34:48 CET 2016


Commit: 3091935fec9cb89fa8ffbd48ff8ea2f5ff8687f1
Author: Campbell Barton
Date:   Sun Feb 28 04:24:22 2016 +1100
Branches: master
https://developer.blender.org/rB3091935fec9cb89fa8ffbd48ff8ea2f5ff8687f1

Docs: early exist build process on error

Don't attempt to build docs when generation fails.

===================================================================

M	doc/python_api/sphinx_doc_gen.sh

===================================================================

diff --git a/doc/python_api/sphinx_doc_gen.sh b/doc/python_api/sphinx_doc_gen.sh
index 8f1791d..697cd5a 100755
--- a/doc/python_api/sphinx_doc_gen.sh
+++ b/doc/python_api/sphinx_doc_gen.sh
@@ -54,7 +54,17 @@ SPHINXBASE=doc/python_api
 
 if $DO_EXE_BLENDER ; then
 	# dont delete existing docs, now partial updates are used for quick builds.
-	$BLENDER_BIN --background -noaudio --factory-startup --python $SPHINXBASE/sphinx_doc_gen.py
+	$BLENDER_BIN \
+		--background \
+		-noaudio \
+		--factory-startup \
+		--python-exit-code 1 \
+		--python $SPHINXBASE/sphinx_doc_gen.py
+
+	if (($? == 1)) ; then
+		echo "Generating documentation failed, aborting"
+		exit 1
+	fi
 fi




More information about the Bf-blender-cvs mailing list